Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
BuildRequires: python-module-objects.inv python-test
%define oldname python-hl7
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global srcname hl7
%global sum  Python library parsing HL7 v2.x and v3.x messages

Name:           python-module-hl7
Version:        0.3.3
Release:        alt1_12
# append my cmake path before swig is included
Summary:        Python library parsing HL7 v2.x and v3.x messages

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}

Source0:        http://pypi.python.org/packages/source/h/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/johnpaulett/python-hl7/master/AUTHORS

BuildArch:      noarch
BuildRequires:  python-devel python3-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  python-module-sphinx python-module-six
Source44: import.info

%description
python-%{srcname} is a simple library for parsing messages of 
Health Level 7 (HL7) v2.x into Python objects.

%package -n python3-module-hl7
Group: Other
Summary: %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-module-hl7
python-%{srcname} is a simple library for parsing messages of 
Health Level 7 (HL7) v2.x into Python objects.

%package -n python-module-hl7-doc
Group: Other
Summary: Documentation for %{srcname}
BuildArch: noarch

%description -n python-module-hl7-doc
Documentation files for %{srcname}

%prep
%setup -q  -n %{srcname}-%{version}
rm -rf *egg-info
cp %{SOURCE1} .

%build
%python_build

# Make docs
# These modes appear to be enough
pushd docs/
    make html
    make singlehtml
    make man
    make htmlhelp
popd

%python3_build

%install
%python_install
%python3_install

# Delete buildinfo file
find docs/_build/ -name ".buildinfo" -execdir rm -fv '{}' \;
 
%files -n python-module-hl7
%{python_sitelibdir_noarch}/%{srcname}/
%{python_sitelibdir_noarch}/%{srcname}-%{version}-py?.?.egg-info
%doc --no-dereference LICENSE

%files -n python3-module-hl7
%{_bindir}/mllp_send
%{python3_sitelibdir_noarch}/%{srcname}/
%{python3_sitelibdir_noarch}/%{srcname}-%{version}-py?.?.egg-info
%doc --no-dereference LICENSE

%files -n python-module-hl7-doc
%doc docs/_build/html docs/_build/htmlhelp docs/_build/singlehtml README.rst AUTHORS
%doc --no-dereference LICENSE

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.3-alt1_12
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.3-alt1_11
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.3-alt1_10
- update to new release by fcimport

* Sat Jun 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.3-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_7
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_6
- update to new release by fcimport

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_4
- initial fc import

